<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class RFQSupplier extends Model
{
    protected $table='rfq_suppliers';

    public function request_for_quotation(){
        return $this->belongsTo(RequestForQuotation::class,'rfq_id')->withTrashed();
    }
    public function client(){
        return $this->belongsTo(Client::class,'client_id')->withTrashed();
    }

    public function client_address(){
        return $this->belongsTo(ClientAddress::class,'client_address_id')->withTrashed();
    }

    public function payment_term(){
        return $this->belongsTo(PaymentTerm::class,'payment_term_id');
    }
}
